IntelliToolGradient Class Reference

The IntelliToolGradient class that represents a gradient call. More...

`#include <IntelliToolGradient.h>`

Inheritance diagram for IntelliToolGradient:

## Public Member Functions

| IntelliToolGradient (PaintingArea *Area, IntelliColorPicker *colorPicker, IntelliToolsettings *Toolsettings)
| IntelliToolGradient basic constructor of the gradient tool. More...
virtual | ~IntelliToolGradient () override
| ~IntelliToolGradient basic destructor. More...
virtual void | onMouseRightPressed (int x, int y) override
| A function managing the right click Pressed of a Mouse. Constructing the Canvas to draw on. Call this in child classes! More...
virtual void | onMouseRightReleased (int x, int y) override
| A function managing the right click Released of a Mouse. Merging the Canvas to Active. Call this in child classes! More...
virtual void | onMouseLeftPressed (int x, int y) override
| A function managing the left click Pressed of a Mouse. Resetting the current draw. Call this in child classes! More...
virtual void | onMouseLeftReleased (int x, int y) override
| A function managing the left click Released of a Mouse. Call this in child classes! More...
virtual void | onWheelScrolled (int value) override
| A function managing the scroll event. A positive value means scrolling outwards. Call this in child classes! More...
virtual void | onMouseMoved (int x, int y) override
| A function managing the mouse moved event. Call this in child classes! More...
Public Member Functions inherited from IntelliTool
| IntelliTool (PaintingArea *Area, IntelliColorPicker *colorPicker, IntelliToolsettings *Toolsettings)
| A constructor setting the general Painting Area and colorPicker. More...
virtual | ~IntelliTool ()=0
| An abstract Destructor. More...
Tooltype | getTooltype () const
| getTooltype returns the tools type More...
bool | getIsDrawing () const
| getIsDrawing returns if the tool is currently drawing More...

## Additional Inherited Members

Public Types inherited from IntelliTool
enum | Tooltype { Tooltype::CIRCLE, Tooltype::FLOODFILL, Tooltype::GRADIENT, Tooltype::LINE, Tooltype::PEN, Tooltype::PLAIN, Tooltype::POLYGON, Tooltype::RECTANGLE, Tooltype::NONE }
| The Tooltype enum categorising the toosl. More...
Protected Attributes inherited from IntelliTool
PaintingArea * | Area
| A pointer to the general PaintingArea to interact with. More...
Tooltype | ActiveType
| ActiveType the type of the active tool. More...
IntelliColorPicker * | colorPicker
| A pointer to the IntelliColorPicker of the PaintingArea to interact with, and get the colors. More...
IntelliToolsettings * | Toolsettings
| Toolsettings a refrence to the tool settings. More...
LayerObject * | activeLayer
| A pointer to the underlying active Layer, do not work on this. This is used for data grabbing or previews. More...
LayerObject * | Canvas
| A pointer to the drawing canvas of the tool, work on this. More...
bool | isDrawing = false
| A flag checking if the user is currently drawing or not. More...

## Detailed Description

The IntelliToolGradient class that represents a gradient call.

Definition at line 7 of file IntelliToolGradient.h.

## Constructor & Destructor Documentation

## IntelliToolGradient()

IntelliToolGradient::IntelliToolGradient | ( | PaintingArea * | Area,
|  | IntelliColorPicker * | colorPicker,
|  | IntelliToolsettings * | Toolsettings
| ) |  |

IntelliToolGradient basic constructor of the gradient tool.

Parameters

  Area | - a reference to the paintingArea
  colorPicker | - a reference to the colorpicker
  Toolsettings | - a regerence to the Toolsettings

Definition at line 6 of file IntelliToolGradient.cpp.

## ~IntelliToolGradient()

IntelliToolGradient::~IntelliToolGradient | ( |  | ) |

overridevirtual

~IntelliToolGradient basic destructor.

Definition at line 13 of file IntelliToolGradient.cpp.

## Member Function Documentation

## onMouseLeftPressed()

void IntelliToolGradient::onMouseLeftPressed | ( | int | x,
|  | int | y
| ) |  |

overridevirtual

A function managing the left click Pressed of a Mouse. Resetting the current draw. Call this in child classes!

Parameters

  x | - The x coordinate relative to the active/canvas layer.
  y | - The y coordinate relative to the active/canvas layer.

Reimplemented from IntelliTool.

Definition at line 17 of file IntelliToolGradient.cpp.

## onMouseLeftReleased()

void IntelliToolGradient::onMouseLeftReleased | ( | int | x,
|  | int | y
| ) |  |

overridevirtual

A function managing the left click Released of a Mouse. Call this in child classes!

Parameters

  x | - The x coordinate relative to the active/canvas layer.
  y | - The y coordinate relative to the active/canvas layer.

Reimplemented from IntelliTool.

Definition at line 32 of file IntelliToolGradient.cpp.

## onMouseMoved()

void IntelliToolGradient::onMouseMoved | ( | int | x,
|  | int | y
| ) |  |

overridevirtual

A function managing the mouse moved event. Call this in child classes!

Parameters

  x | - The x coordinate of the new mouse position.
  y | - The y coordinate of the new mouse position.

Reimplemented from IntelliTool.

Definition at line 43 of file IntelliToolGradient.cpp.

## onMouseRightPressed()

void IntelliToolGradient::onMouseRightPressed | ( | int | x,
|  | int | y
| ) |  |

overridevirtual

A function managing the right click Pressed of a Mouse. Constructing the Canvas to draw on. Call this in child classes!

Parameters

  x | - The x coordinate relative to the active/canvas layer.
  y | - The y coordinate relative to the active/canvas layer.

Reimplemented from IntelliTool.

Definition at line 28 of file IntelliToolGradient.cpp.

## onMouseRightReleased()

void IntelliToolGradient::onMouseRightReleased | ( | int | x,
|  | int | y
| ) |  |

overridevirtual

A function managing the right click Released of a Mouse. Merging the Canvas to Active. Call this in child classes!

Parameters

  x | - The x coordinate relative to the active/canvas layer.
  y | - The y coordinate relative to the active/canvas layer.

Reimplemented from IntelliTool.

Definition at line 39 of file IntelliToolGradient.cpp.

## onWheelScrolled()

void IntelliToolGradient::onWheelScrolled | ( | int | value | ) |

overridevirtual

A function managing the scroll event. A positive value means scrolling outwards. Call this in child classes!

Parameters

  value | - The absolute the scroll has changed.

Reimplemented from IntelliTool.

Definition at line 54 of file IntelliToolGradient.cpp.

The documentation for this class was generated from the following files:

- src/Tool/IntelliToolGradient.h
- src/Tool/IntelliToolGradient.cpp